Subject: DEMO/DEVEL 4.1 problems (fwd)

From: Bernie Roehl <broehl>
Date: Mon, 5 Oct 92 22:17:00 EDT

I actually replied directory to Chris Hand on this, but I forgot the
response wouldn't go to the list.  Here's a (slightly different?)
version of what I sent him...

> Has anyone out there compiled the 4.1 release of the
> REND386 libraries yet?

Yes.   :-)
 
> After hacking around with the makefile I get an out-of-memory
> error on world.c, and can't currently work out out to get
> the compiler to co-operate.

Could be you have less available free memory on your system that I do on
mine; I haven't run into this.

> Why doesn't the makefile have stuff like:
> 	CC	= tcc
> 	CCFLAGS = -ml -c -P-c -1 -G -wall

It should, and will in the next release.

> [Aside: what is the probability of being able to port
>  to other compilers, such as MS C or GNU CC??]

Not Microsoft (they don't have 386 inline support yet, apparently).
I haven't tried GNU CC.

> 	1. SEGASUPP.C is size zero (0) bytes.  Is this
> 	   intentional??

There is no segasupp.c; there's a segasupp.h file in the include directory
and a sgsppt.c in the sega directory.  Neither is zero-length.

> 	2. When I run demo4 on my machine
> 	   It works fine but AFTER running it and returning to DOS,
> 	   executing the "mem" command hangs the machine
> 	   and it needs a hard reset.
> 	   Is something not getting put back right?

We do take over the timer interrupt vector.  If for some reason rend386
aborts without having a chance to restore that vector, things will be fine
until some other program overwrites the memory that held our interrupt
service routine.  At that point, the first timer tick would send the system
off into the weeds.  I don't know why rend386 would abort, though.

> 	   I'm running MS-DOS 5.0 with HIMEM.SYS & EMM386 (noems)

Same here.

> 	   and have stacks=10,512...

I don't have a "stacks=" at all.
 
> Also, I would like to hack up a higher-resolution video driver
> (unless there already is one), say 640x480x256 -- a 1Meg
> SVGA card should be able to double-buffer this OK if not
> doing stereo, right?

Should work, but it'll be much much slower.

> Well, the vdrivers.doc file says to look at the source for the
> 16- and 256-colour drivers.  So where is it?!?  

Dave is preparing it now... should be available soon.

> Apart from this REND386 is still great, and a hell of a lot
> faster on my new motherboard, so things are not *that* bad...

Thanks for the kind words...

-- 
	Bernie Roehl, University of Waterloo Electrical Engineering Dept
	Mail: [email-masked]
	BangPath: uunet!watmath!sunee!broehl
	Voice:  (519) 885-1211 x 2607 [work]